import { FetchMachine } from '@genesislcap/foundation-state-machine';
import type { Idp } from '../entity';
/**
 * IDPService interface.
 * @public
 */
export interface IDPService {
    /**
     * @param url - Defaults to `SSO_LIST_URL`.
     */
    getList(url?: string): Promise<Idp[]>;
    /**
     * @param idp - An idp entity.
     */
    getLoginUrl(idp: Idp): string;
}
/**
 * Default IDPService.
 * @public
 */
export declare class DefaultIDPService implements IDPService {
    /**
     * @internal
     */
    readonly fetchMachine: FetchMachine;
    /**
     * The pattern matches `{property}` values in the string.
     * @internal
     */
    protected loginUrlReplacePattern: RegExp;
    /** {@inheritDoc IDPService.getList} */
    getList: (url?: string) => Promise<Idp[]>;
    /** {@inheritDoc IDPService.getLoginUrl} */
    getLoginUrl: (idp: Idp, urlTemplate?: string) => string;
}
/**
 * IDPService DI key.
 * @internal
 */
export declare const IDPService: import("@microsoft/fast-foundation").InterfaceSymbol<IDPService>;
//# sourceMappingURL=idp.d.ts.map